Subject: Re: Improving R6RS exception handling in Guile
From: Mark H Weaver <[email-masked]>
To: Göran Weinholt <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 18 Nov 2013 01:16:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry for the long delay on this.

Göran Weinholt <[email-masked]> writes:

> Mark H Weaver <[email-masked]> writes:
>
>> Hello all,
>>
>> I've cooked up a patch to help improve R6RS exception handling in Guile.
>>
>> As noted by Göran Weinholt in <http://bugs.gnu.org/14922>, the R6RS
>> exception handlers in Guile are currently unable to catch native Guile
>> exceptions.  To fix this, the basic approach of this patch is to convert
>> native Guile exceptions into R6RS conditions within the R6RS exception
>> handlers.
> [...]
>> I'd be grateful for any feedback.
>
> I think it's the right approach to take. I've tested the patch a little
> and it's an improvement over the current state of affairs.

I went ahead and pushed this patch to stable-2.0.  We can work on
incrementally improving it from there.

I'm closing this bug <http://bugs.gnu.org/14922>.

     Thanks!
       Mark